#ifndef synth_string_h_
#define synth_string_h_

#define string_bufsiz 220 // 100 Hz minimum @ 22 KHz

#define BASE_DECAY 32686

#define NBR_STRING_EFFECTS  5  // different delay factors

class synth_instrument_string
{
  public:
  
    synth_instrument_string()
    {
      bufferLen = 0;
      seed      = 1;
    }

    void startInstrument( ui_controls_struct *ui, int key );
    void updateInstrument( ui_controls_struct *ui );
    byte runInstrument( int32_t *buf );
    void stopInstrument();
  
  private:
  
    uint16_t bufferLen;
    uint16_t bufferIndex;
    uint32_t seed;  // must start at 1
    int16_t decay;
    int16_t prior;
    int16_t buffer[string_bufsiz];
};

#endif

