#ifndef TOUCHSENSOR_h
#define TOUCHSENSOR_h

#include "Arduino.h"

#define TOUCH_THRESHOLD_ADC 250
#define TOUCH_DEBOUNCE_MS    50UL

class touchSensor
{
  private:
        boolean state = false;
        unsigned long tm;
        
	public:
        byte pin;
        int16_t reference;
        void begin(byte pin, uint16_t samples=500);
        uint16_t readRaw(uint16_t samples = 5);
        boolean isTouched(uint16_t samples = 5);
        int touchEvent(uint16_t samples = 5);
};

#endif
